

import java.awt.Color;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class Calculette extends JFrame {
	JLabel lbtitre,lbresultat1,lbresultat2,lbresultat3;
	JTextField tfnombre1,tfnombre2,tfnombre3;
	JComboBox combop1,combop2;
	JButton btcalcul1,btcalcul2;
	public Calculette(){
		this.setTitle("chcode_appli");
		this.setSize(500,400);
		this.setLocationRelativeTo(null);
		JPanel pn=new JPanel();
		pn.setLayout(null);
		pn.setBackground(new Color(250,220,150));
		add(pn);
		
		lbtitre=new JLabel("Calculette");
		lbtitre.setBounds(50,10,200,25);
		lbtitre.setFont(new Font("Arial",Font.BOLD,25));
		lbtitre.setForeground(new Color(100,160,100));
		pn.add(lbtitre);
		
		tfnombre1=new JTextField();
		tfnombre1.setBounds(20,50,70,25);
		pn.add(tfnombre1);
		
		combop1=new JComboBox();
		combop1.addItem("+");
		combop1.addItem("-");
		combop1.addItem("*");
		combop1.addItem("/");
		combop1.setBounds(100,50,50,25);
		combop1.setFont(new Font("Arial",Font.BOLD,20));
		pn.add(combop1);
		
		tfnombre2=new JTextField();
		tfnombre2.setBounds(160,50,70,25);
		pn.add(tfnombre2);
		
		
		lbresultat1=new JLabel("= 0");
		lbresultat1.setBounds(240,50,250,25);
		lbresultat1.setFont(new Font("Arial",Font.BOLD,17));
		lbresultat1.setForeground(new Color(160,100,100));
		pn.add(lbresultat1);
		
		btcalcul1=new JButton("Calculer");
		btcalcul1.setBounds(160,100,100,25);
		btcalcul1.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				String nb1=tfnombre1.getText(),
						nb2=tfnombre2.getText(),
						nb3=tfnombre3.getText(),
						resu2=lbresultat2.getText(),
						operateur=combop1.getSelectedItem().toString(),
				       operateur2=combop2.getSelectedItem().toString();
				Double nombre1,nombre2,nombre3,resultat2;
		if(!nb1.equals("")&&isNumber(nb1)&&!nb2.equals("")&&isNumber(nb2)){
					 nombre1=Double.valueOf(nb1).doubleValue();
					 nombre2=Double.valueOf(nb2).doubleValue();
					 //addition
					 if(operateur.equals("+")){
						 lbresultat1.setText(" = "+(nombre1+nombre2));
						 lbresultat2.setText(" "+(nombre1+nombre2));
					 }
					//soustraction
					 if(operateur.equals("-")){
						 lbresultat1.setText(" = "+(nombre1-nombre2));
						 lbresultat2.setText(" "+(nombre1-nombre2));
					 }
					//multiplication
					 if(operateur.equals("*")){
						 lbresultat1.setText(" = "+(nombre1*nombre2));
						 lbresultat2.setText(" "+(nombre1*nombre2));
					 }
					//division
					 if(operateur.equals("/")){
						 if(nombre2!=0){
							 Double quotient=nombre1/nombre2;
							 quotient=Math.round(quotient*100.0)/100.0;
						lbresultat1.setText(" = "+quotient); 
						 lbresultat2.setText(" "+quotient);
						 }
						 else{
							 lbresultat1.setText(" = IMPOSSIBLE! "); 
						 }
						 
						
					 }
					 //2eme calcul
					 if(!nb3.equals("")&&isNumber(nb3)&&!resu2.equals("")){
						 nombre3=Double.valueOf(nb3).doubleValue();
						 resultat2=Double.valueOf(resu2).doubleValue();
						 //addition 2
						 if(operateur2.equals("+")){
							 lbresultat3.setText("= "+(resultat2+nombre3)); 
						 }
						//soustraction 2
						 if(operateur2.equals("-")){
							 lbresultat3.setText("= "+(resultat2-nombre3)); 
						 }
						//multiplication 2
						 if(operateur2.equals("*")){
							 lbresultat3.setText("= "+(resultat2*nombre3)); 
						 }
						//division 2
						 if(operateur2.equals("/")){
							 if(nombre3!=0){
								 Double quotient=resultat2/nombre3;
								 quotient=Math.round(quotient*100.0)/100.0;
							lbresultat3.setText(" = "+quotient); 
							 }
							 else{
								 lbresultat3.setText(" = IMPOSSIBLE! "); 
							 }
							 
							
						 }
						 
					 }
				}
			}
		});
		pn.add(btcalcul1);
		
		lbresultat2=new JLabel("");
		lbresultat2.setBounds(20,150,250,25);
		lbresultat2.setFont(new Font("Arial",Font.BOLD,17));
		lbresultat2.setForeground(new Color(160,100,100));
		pn.add(lbresultat2);
		
		combop2=new JComboBox();
		combop2.addItem("+");
		combop2.addItem("-");
		combop2.addItem("*");
		combop2.addItem("/");
		combop2.setBounds(130,150,50,25);
		combop2.setFont(new Font("Arial",Font.BOLD,20));
		pn.add(combop2);
		
		tfnombre3=new JTextField();
		tfnombre3.setBounds(190,150,70,25);
		pn.add(tfnombre3);
		
		lbresultat3=new JLabel(" = 0");
		lbresultat3.setBounds(270,150,250,25);
		lbresultat3.setFont(new Font("Arial",Font.BOLD,17));
		lbresultat3.setForeground(new Color(160,100,100));
		pn.add(lbresultat3);
		
		
		
	}
	//fonction pour vrifier si une valeur entre est numrique
			public boolean isNumber(String text){
				boolean nombre=false;
				if(!(Double.valueOf(text).doubleValue()>=0.0)){
					nombre=false;
				}
				else{
					nombre=true;
				}
				return nombre;
			}
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		/*Application ralise le 20 Novembre 2021  N'djamna au Tchad
		 * par TARGOTO Christian*/
  Calculette cal=new Calculette();
  cal.setVisible(true);
	}

}
